Subject: Re: [BEHAVE] A little doubt about draft-ietf-behave-lsn-requirements-08

From: Simon Perreault <[email-masked]>
Date: Thu, 02 Aug 2012 08:44:42 -0700

Le 2012-07-31 00:59, [email-masked] a écrit :
>
> Hi,
>
>     I have a little doubt about the draft.
>
>     In section 3,
>     "
>      REQ-11:  When a CGN is unable to create a mapping due to resource
> constraints or administrative restrictions (i.e., quotas):
>
> A.  it MUST drop the original packet;
>
> B.  it SHOULD send an ICMP Destination Unreachable message
>      with code 1 (Host Unreachable) to the sender;
>
> C.  it SHOULD send a notification (e.g., SNMP trap) towards
>      a management system (if configured to do so);
>
> D.  and it MUST NOT delete existing mappings in order to
>      "make room" for the new one.  (This only applies to
>      normal CGN behavior, not to manual operator
>      intervention.)
>      "
>
>      In item D, In my opinion, a static mapping MAY be created without
> recieving the datagram, but the static rule has been configured AND the
> corresponding user be online. Under the circumstances, if the packet a
> CGN recieved match the STATIC rule , it SHOULDDELETE a existing DYNAMIC
> mapping in order to "make room" for the STATIC mapping, because of
> ensuring the STATIC rule taking effect.
>      Otherwise, how to resolve the problem instead of kicking a DYNAMIC
> mapping off ?

This makes total sense. To fix this I would suggest this:

OLD:
    REQ-11:  When a CGN is unable to create a mapping due to resource
             constraints or administrative restrictions (i.e., quotas):
NEW:
    REQ-11:  When a CGN is unable to create a dynamic mapping due to
             resource constraints or administrative restrictions (i.e.,
             quotas):

>      On the other hand, if the packet need to be translated by ALG, it
> MAY create two mappings but it find that there is "no room" to create
> the second mapping after having created the first mapping.

What do you propose we do in such a case?

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca